Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.richfaces.component
Enum UICollapsiblePanel.Properties

    java.lang.Object
      java.lang.Enum<UICollapsiblePanel.Properties>
          org.richfaces.component.UICollapsiblePanel.Properties

All Implemented Interfaces:
  Serializable, Comparable<UICollapsiblePanel.Properties>

Enclosing class:
  UICollapsiblePanel

    protected static enum UICollapsiblePanel.Properties

extends Enum<UICollapsiblePanel.Properties>

Enum Constant Summary
`bodyClass`
`cycledSwitching`
`data`
`dir`
`execute`
`expanded`
`header`
`headerClass`
`itemChangeListener`
`lang`
`leftCollapsedIcon`
`leftExpandedIcon`
`limitRender`
`onbeforeitemchange`
`onbeforeswitch`
`onclick`
`ondblclick`
`onitemchange`
`onmousedown`
`onmousemove`
`onmouseout`
`onmouseover`
`onmouseup`
`onswitch`
`render`
`rightCollapsedIcon`
`rightExpandedIcon`
`status`
`style`
`styleClass`
`title`
`toggleListener`

Method Summary
`static UICollapsiblePanel.Properties` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static UICollapsiblePanel.Properties[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### bodyClass

    public static final UICollapsiblePanel.Properties bodyClass

### cycledSwitching

    public static final UICollapsiblePanel.Properties cycledSwitching

### data

    public static final UICollapsiblePanel.Properties data

### dir

    public static final UICollapsiblePanel.Properties dir

### execute

    public static final UICollapsiblePanel.Properties execute

### expanded

    public static final UICollapsiblePanel.Properties expanded

### header

    public static final UICollapsiblePanel.Properties header

### headerClass

    public static final UICollapsiblePanel.Properties headerClass

### itemChangeListener

    public static final UICollapsiblePanel.Properties itemChangeListener

### lang

    public static final UICollapsiblePanel.Properties lang

### leftCollapsedIcon

    public static final UICollapsiblePanel.Properties leftCollapsedIcon

### leftExpandedIcon

    public static final UICollapsiblePanel.Properties leftExpandedIcon

### limitRender

    public static final UICollapsiblePanel.Properties limitRender

### onbeforeitemchange

    public static final UICollapsiblePanel.Properties onbeforeitemchange

### onbeforeswitch

    public static final UICollapsiblePanel.Properties onbeforeswitch

### onclick

    public static final UICollapsiblePanel.Properties onclick

### ondblclick

    public static final UICollapsiblePanel.Properties ondblclick

### onitemchange

    public static final UICollapsiblePanel.Properties onitemchange

### onmousedown

    public static final UICollapsiblePanel.Properties onmousedown

### onmousemove

    public static final UICollapsiblePanel.Properties onmousemove

### onmouseout

    public static final UICollapsiblePanel.Properties onmouseout

### onmouseover

    public static final UICollapsiblePanel.Properties onmouseover

### onmouseup

    public static final UICollapsiblePanel.Properties onmouseup

### onswitch

    public static final UICollapsiblePanel.Properties onswitch

### render

    public static final UICollapsiblePanel.Properties render

### rightCollapsedIcon

    public static final UICollapsiblePanel.Properties rightCollapsedIcon

### rightExpandedIcon

    public static final UICollapsiblePanel.Properties rightExpandedIcon

### status

    public static final UICollapsiblePanel.Properties status

### style

    public static final UICollapsiblePanel.Properties style

### styleClass

    public static final UICollapsiblePanel.Properties styleClass

### title

    public static final UICollapsiblePanel.Properties title

### toggleListener

    public static final UICollapsiblePanel.Properties toggleListener

Method Detail

### values

    public static UICollapsiblePanel.Properties[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (UICollapsiblePanel.Properties c : UICollapsiblePanel.Properties.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static UICollapsiblePanel.Properties valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.